Bug 926809 - xmlsec1: Does not support aarch64 in f19 and rawhide
Summary: xmlsec1: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlsec1
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 16:37 UTC by Dennis Gilmore
Modified: 2013-03-25 13:04 UTC (History)
1 user (show)

Fixed In Version: xmlsec1-1.2.19-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-25 13:04:31 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 16:37:21 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  xmlsec1 appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/xmlsec1/xmlsec1-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Daniel Veillard 2013-03-24 13:55:38 UTC
Okay, posted upstream:

http://www.aleksey.com/pipermail/xmlsec/2013/009579.html

but i don't know when a new release will be made,

Daniel

Comment 2 Daniel Veillard 2013-03-25 13:04:31 UTC
A new xmlsec1 release has just been made, and seems to incorporate
autoconf 2.69 config files.
I have just built xmlsec1-1.2.19-1.fc20 in rawhide,

Daniel


Note You need to log in before you can comment on or make changes to this bug.